package main

import (
	"log"
	"net/http"

	"snapp_achievements/handlers"
	"github.com/gorilla/mux"
)

func main() {
	r := mux.NewRouter()
	r.HandleFunc("/is_achieved", handlers.IsAchieved).Methods(http.MethodGet)
	r.HandleFunc("/get_achievements", handlers.GetAchievements).Methods(http.MethodGet)
	r.HandleFunc("/refresh_achievements", handlers.RefreshAchievements).Methods(http.MethodGet)
	log.Fatal(http.ListenAndServe(":8080", r))
}
